summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2010-04-22 00:40:52 -0500
committer Robby Workman <rworkman@slackware.com>2010-04-22 00:40:52 -0500
commit6f8d5bd58fe1344e4cdf90d96908904611431358 (patch)
tree88d3f3af0f0aa4c0e2a5b6abadf51b18a0da4a59
parent213a6bd6d69257e00ba3911f59bbf40dbc71df90 (diff)
downloadtemplates-6f8d5bd58fe1344e4cdf90d96908904611431358.tar.gz
templates-6f8d5bd58fe1344e4cdf90d96908904611431358.tar.xz
Fixed stripping for bash4 and added comment to manpage compression13.0
-rw-r--r--template.SlackBuild10
1 files changed, 3 insertions, 7 deletions
diff --git a/template.SlackBuild b/template.SlackBuild
index 5b2c9b5..51727f7 100644
--- a/template.SlackBuild
+++ b/template.SlackBuild
@@ -96,17 +96,13 @@ make install DESTDIR=$PKG
# Strip binaries and libraries - this can be done with 'make install-strip'
# in many source trees, and that's usually acceptable if so, but if not,
# use this:
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Compress man pages
# If the man pages are installed to /usr/share/man instead, you'll need to either
# add the --mandir=/usr/man flag to configure or move them manually after the
-# make install process is run.
+# make install process is run. If there are no manpages, remove this...
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done